/**
 * Selects all nodes that are currently visible due to the applied filter.
 *
 * If there is no search text, then it selects all nodes; otherwise, it selects all visible nodes.
 */
export declare function selectAllFiltered(): void;
/**
 * Unselects all nodes that are currently visible due to the applied filter.
 *
 * If there is no search text, then it unselects all nodes; otherwise, it unselects all visible nodes.
 */
export declare function unselectAllFiltered(): void;
/**
 * Selects all nodes in the tree.
 *
 * This function selects all nodes by adding all node ids to the checked set and clearing the indeterminate set.
 */
export declare function selectAll(): void;
/**
 * Unselects all nodes in the tree.
 *
 * This function unselects all nodes by clearing both the checked and indeterminate sets.
 */
export declare function unselectAll(): void;
//# sourceMappingURL=selectAll.helper.d.ts.map